Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.dependency
Interface KernelController

All Superinterfaces:
  Cloneable, org.jboss.dependency.spi.Controller, org.jboss.util.JBossInterface, KernelEventEmitter, KernelObject

All Known Implementing Classes:
  AbstractKernelController

public interface KernelController
extends KernelObject, org.jboss.dependency.spi.Controller

A controller.

The controller is the core component for keeping track of beans to make sure the configuration and lifecycle are done in the correct order including dependencies and classloading considerations.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock

Method Summary
`void` | `addSupplies(KernelControllerContext context)` Add supplies
`KernelControllerContext` | `install(BeanMetaData metaData)` Install a context
`void` | `removeSupplies(KernelControllerContext context)` Remove supplies

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Methods inherited from interface org.jboss.dependency.spi.Controller
`addState, change, enableOnDemand, getContext, getInstalledContext, getNotInstalled, getStates, install, uninstall`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### install

    public KernelControllerContext install(BeanMetaData metaData)
                                    throws Throwable

  Install a context

  Parameters:
    `metaData` - the metaData
  Returns:
    the context
  Throws:
    `Throwable` - for any error

### addSupplies

    public void addSupplies(KernelControllerContext context)

  Add supplies

  Parameters:
    `context` - the context

### removeSupplies

    public void removeSupplies(KernelControllerContext context)

  Remove supplies

  Parameters:
    `context` - the context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.